#!/usr/bin/perl 



############################################
##                                        ##
##                 WebLog                 ##
##           by Darryl Burgdorf           ##
##                                        ##
##           Configuration File           ##
##                                        ##
############################################

require "weblog_interval.pl";

$LogFile = "/usr/lib/apache2/logs/access_log";
#$LogFile = "./access_log_snapshot";
#$IPLog = "/usr/foo/logs/ips";

# Start and end dates: (day, month, year)
@AnalysisStartDate = (01, 03, 2007);
@AnalysisEndDate = (31, 03, 2007);

#$Debug = 1;

$FileDir = "./test_reports";
$ReportFile = "log.html";
$DetailsFile = "log.details.html";
$RefsFile = "log.refs.html";
$KeywordsFile = "log.keys.html";
$AgentsFile = "log.agents.html";

$EOMFile = "";

$SystemName = "Web Statistics";

$OrgName = "Your Name Here";
$OrgDomain = 'cs.drexel.edu';

$GraphURL = "path/to/graphs";
$GraphBase = "visits";

#$IncludeOnlyRefsTo = '(whatever)';
# $ExcludeRefsTo = '(^scripts/*)';

# $IncludeOnlyDomain = '';
# $ExcludeDomain = 'cs.drexel.edu';

$IncludeQuery = 0;

$PrintFiles = 1;
$Print404 = 1;
$PrintDomains = 2;
$PrintUserIDs = 0;
$PrintTopNFiles = 10;
$TopFileListFilter = '(\.gif|\.jpg|\.jpeg|Code)';
$PrintTopNDomains = 0;

$LogOnlyNew = 0;

$NoSessions = 0;
$NoResolve = 0;

$HourOffset = 0;

$DetailsFilter = '(\.gif|\.jpg|\.jpeg)';
$DetailsDays = 7;

$refsexcludefrom = '(file:)';
$refsexcludeto = '(\.gif|\.jpg|\.jpeg)';

$RefsStripWWW = 1;
$RefsMinHits = 1;
$TopNRefDoms = 10;

$AgentsIgnore = '(\.gif|\.jpg|\.jpeg)';

$Verbose = 1;

$bodyspec = "BGCOLOR=\"#ffffff\" TEXT=\"#000000\"";

#$headerfile = "/projs1/bin/weblog/header.txt";
#$footerfile = "/projs1/bin/weblog/footer.txt";

&MainProg;
